summaryrefslogtreecommitdiffstats
path: root/arch/tde-deps/pod2man
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2022-10-28 01:38:39 +0200
committerSlávek Banko <slavek.banko@axis.cz>2022-10-28 06:51:54 +0200
commit0efff2a27d4255f27d967351ee52089b5d9c39c1 (patch)
treebe5fcaebac660000f93bbc5a45383cc4ce1b26b1 /arch/tde-deps/pod2man
parentb5b568ce2f45981161aa438622004799aa3f7a4d (diff)
downloadtde-packaging-0efff2a27d4255f27d967351ee52089b5d9c39c1.tar.gz
tde-packaging-0efff2a27d4255f27d967351ee52089b5d9c39c1.zip
ArchLinux: Update for final R14.0.13.r14.0.13
Add aarch64 and armv7h to architectures. Add pkgbuilds for several applications. Add pkgbuild for libkipi library. Add pkgbuilds for dependencies. Remove dependence on Python 2. Remove backported patches. Signed-off-by: Slávek Banko <slavek.banko@axis.cz> (cherry picked from commit ddc027255b1bafb5c0544a60947b7c448140e384)
Diffstat (limited to 'arch/tde-deps/pod2man')
-rw-r--r--arch/tde-deps/pod2man/.SRCINFO12
-rw-r--r--arch/tde-deps/pod2man/.gitignore6
-rw-r--r--arch/tde-deps/pod2man/PKGBUILD22
-rwxr-xr-xarch/tde-deps/pod2man/pkgsum.sh15
-rwxr-xr-xarch/tde-deps/pod2man/update.sh29
5 files changed, 84 insertions, 0 deletions
diff --git a/arch/tde-deps/pod2man/.SRCINFO b/arch/tde-deps/pod2man/.SRCINFO
new file mode 100644
index 000000000..412bde20b
--- /dev/null
+++ b/arch/tde-deps/pod2man/.SRCINFO
@@ -0,0 +1,12 @@
+pkgbase = pod2man
+ pkgdesc = Make pod2man easily accessible
+ pkgver = 5.30.2
+ pkgrel = 1
+ url = https://perl.org/
+ arch = x86_64
+ license = GPL
+ license = PerlArtistic
+ depends = perl
+
+pkgname = pod2man
+
diff --git a/arch/tde-deps/pod2man/.gitignore b/arch/tde-deps/pod2man/.gitignore
new file mode 100644
index 000000000..b3cd27837
--- /dev/null
+++ b/arch/tde-deps/pod2man/.gitignore
@@ -0,0 +1,6 @@
+pkg
+src
+*.gz
+*.xz
+*.bak
+*.new
diff --git a/arch/tde-deps/pod2man/PKGBUILD b/arch/tde-deps/pod2man/PKGBUILD
new file mode 100644
index 000000000..3132a72d0
--- /dev/null
+++ b/arch/tde-deps/pod2man/PKGBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Fernando Ortiz <nandub+arch@nandub.info >
+# Contributor: Alexander F. Rødseth <xyproto@archlinux.org>
+
+pkgname=pod2man
+pkgver=5.30.2
+pkgrel=1
+pkgdesc='Make pod2man easily accessible'
+arch=(x86_64 aarch64 armv7h)
+license=(GPL PerlArtistic)
+url='https://perl.org/'
+depends=(perl)
+
+package() {
+ # perl 5 places pod2man in /usr/bin/core_perl instead of /usr/bin,
+ # for unknown reasons. This creates a symlink in what is what is now a more
+ # conventional location.
+
+ install -d "$pkgdir/usr/bin"
+ ln -s /usr/bin/core_perl/pod2man "$pkgdir/usr/bin/pod2man"
+}
+
+# vim: ts=2 sw=2 et:
diff --git a/arch/tde-deps/pod2man/pkgsum.sh b/arch/tde-deps/pod2man/pkgsum.sh
new file mode 100755
index 000000000..e908ad353
--- /dev/null
+++ b/arch/tde-deps/pod2man/pkgsum.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+#taken from https://bbs.archlinux.org/viewtopic.php?id=131666 by falconindy
+awk -v newsums="$(makepkg -g)" '
+BEGIN {
+ if (!newsums) exit 1
+}
+
+/^[[:blank:]]*(md|sha)[[:digit:]]+sums=/,/\)[[:blank:]]*$/ {
+ if (!i) print newsums; i++
+ next
+}
+
+1
+' PKGBUILD > PKGBUILD.new && mv PKGBUILD{.new,} \ No newline at end of file
diff --git a/arch/tde-deps/pod2man/update.sh b/arch/tde-deps/pod2man/update.sh
new file mode 100755
index 000000000..b176cad88
--- /dev/null
+++ b/arch/tde-deps/pod2man/update.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+get_latest() {
+ wget -q -O- 'https://github.com/kimwalisch/primesieve/wiki/Downloads' | \
+ sed -n 's,.*primesieve-\([0-9][^>]*\)\.tar.*,\1,p' | \
+ grep -v '\(linux\|mac\|win\)' | \
+ sort -r | \
+ head -1
+}
+
+latest_version=$1
+#latest_version=$(get_latest)
+current_version=$(cat PKGBUILD | grep pkgver= | awk -F'=' '{print $2}')
+
+if ! [ "$latest_version" = "$current_version" ]; then
+ echo Updating the package with the latest version
+ echo latest: $latest_version
+ echo current: $current_version
+ sed -i.bak "s/$current_version/$latest_version/g" PKGBUILD
+ sed -i.bak "s/pkgrel=[^d.]/pkgrel=1/g" PKGBUILD
+ ./pkgsum.sh
+ if which makepkg &> /dev/null; then
+ makepkg --printsrcinfo > .SRCINFO
+ else
+ mksrcinfo
+ fi
+else
+ echo Nothing to update.
+fi